uk.gov.hmrc.ct.ct600.calculations

# NorthernIrelandRate

###
Related Doc: package calculations

#### case class NorthernIrelandRate(unifiedTaxRate: String, northernIrelandRate: BigDecimal) extends RateFromString with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, RateFromString, CtConstants, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. NorthernIrelandRate
2. Serializable
3. Serializable
4. Product
5. Equals
6. RateFromString
7. CtConstants
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new NorthernIrelandRate(unifiedTaxRate: String, northernIrelandRate: BigDecimal)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

8. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

9. #### final def isInstanceOf[T0]: Boolean

   Definition Classes
     Any

10. #### val lowerRelevantAmount: BigDecimal

    Definition Classes
      RateFromString → CtConstants

11. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### val northernIrelandRate: BigDecimal

13. #### final def notify(): Unit

    Definition Classes
      AnyRef

14. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

15. #### val rateOfTax: BigDecimal

    Definition Classes
      RateFromString → CtConstants

16. #### val reliefFraction: BigDecimal

    Definition Classes
      RateFromString → CtConstants

17. #### def revaluationRatio: BigDecimal

18. #### val smallCompaniesRateOfTax: BigDecimal

    Definition Classes
      RateFromString → CtConstants

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### val upperRelevantAmount: BigDecimal

    Definition Classes
      RateFromString → CtConstants

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from RateFromString

### Inherited from CtConstants

### Inherited from AnyRef

### Inherited from Any

### Ungrouped